Validate initial design ideas for the cross-wiki notification panel
Closed, ResolvedPublic

Description

We have a prototype that communicates several ideas related to T113228: Better organization for the Notification panel, and we want to get a better understanding on whether these ideas work well with out users or not.

Results

The results are accessible from this page (report on Commons).

Audience

For these sessions we target editors that participate in several wikis. It would be good to recruit editors with different levels of expertise, since the designs in the notification panel are aimed at facilitating some of their activities but not all of them (e.g., a dedicate view may be needed for advanced filtering).

It is important for participants to use a modern browser since cutting edge technologies (flexbox and local storage) have been used for the sake of quick prototyping. I tested this with Chrome and Firefox, and we probably need to avoid IE and Safari.

Test plan

Before the test. About the usual volume of cross-wiki notifications and current user processes.

  • Do you participate in multiple Wikimedia projects or different languages? Which ones and how often do you participate in them?
  • Do you usually check what's new across different wikis? Can you show us how you would do that in your usual wikis?
    • When checking the notifications from different wikis do you try to find the new ones from any wiki or do you focus on one wiki after the other?

Prototype overview.

    • This prototype simulates you are an editor from English Wikipedia named Cronopio.
  • Which notifications can you see there? Which ones are new? What are they about?
  • If you were this editor, which notification would you process first?

Notification processing

  • One notification is about a new message in your talk page, what is the message the notifications mention about?
  • Can you find a thanks notification?
    • Where would you expect to go if you click that notification?
    • Who thanked you? How would you find out more details about that person?
    • Imagine you don't need more info about it, can you mark it as read without actually opening the notification?
    • Imagine you get too many thanks notifications, is there a way where you could avoid those from showing the next time?

Cross-wiki navigation

  • Currently you are on English Wikipedia. Can you identify notifications from other projects like Wikimedia Commons?
    • How recent are those notifications?
    • Can you check them and describe what are they about?
    • In this context, would you have preferred to find out about them earlier even though you were at English Wikipedia?
  • Which are the remaining notifications?
    • Where are they from?
  • How would you continue processing the notifications from English Wikipedia?

Discard all

  • There is a notification from Spanish Wikipedia, how would you discard it ?
  • How would you discard all the notifications?
    • Do you expect that to affect notifications from all sites?

After the test.

  • Which is your general impression of the notification system you have been using?
    • Anything that worked particularly well or not, based on the way you consume notifications?
  • Do you think the proposed system will help you to track what happens on all wikis easily?
    • Would you be able to avoid missing important stuff?
    • Do you think you could save time in moving across wikis?
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF renamed this task from Validate initial deign ideas for the cross-wiki notification panel to Validate initial design ideas for the cross-wiki notification panel.Sep 29 2015, 11:28 AM
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF set Security to None.
Pginer-WMF added a subscriber: Capt_Swing.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptSep 29 2015, 11:28 AM
Pginer-WMF updated the task description. (Show Details)Sep 29 2015, 11:41 AM
Catrope triaged this task as High priority.
Catrope added a subscriber: Catrope.
DannyH removed a subscriber: DannyH.Oct 5 2015, 10:48 PM

The findings from our first user study have been presented to the Collab team and published here: https://commons.wikimedia.org/wiki/File:Cross-wiki_notifications_user_study_report_October_2015.pdf

The findings from our first user study have been presented to the Collab team and published here: https://commons.wikimedia.org/wiki/File:Cross-wiki_notifications_user_study_report_October_2015.pdf

The YouTube link for P4 in that slide deck points to a private video.

Also, the slides refer to "prototype updates". Are these changes that have already been made to the prototype, or changes that are planned to be made?

Pginer-WMF updated the task description. (Show Details)Oct 27 2015, 8:06 AM

Also, the slides refer to "prototype updates". Are these changes that have already been made to the prototype, or changes that are planned to be made?

I've been working on a prototype that incorporates those changes to allow us to better evaluate the aspects beyond cross-wiki notifications. I created a ticket for the proposed next iteration of the research with additional details: T116741: Evaluate designs for new notification panel actions

@Catrope thanks for the heads-up. I've just shared the p4 video with your WMF email account.

Pginer-WMF closed this task as Resolved.Oct 28 2015, 10:09 AM

I think we can declare this ticket done. We have results that confirm the cross-wiki approach seems to align well with user needs and has informed the next steps of research (T116741).

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 17 2015, 5:51 PM